/*
 * Copyright (c) 2009 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on 2010-01-25
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.unicore.uvos.clc;

import java.util.Date;

import pl.edu.icm.unicore.uvos.wsclient.api.UVOSAuthZExtInterface;
import pl.edu.icm.unicore.uvos.wsclient.api.UVOSGLUEExtInterface;
import pl.edu.icm.unicore.uvos.wsclient.api.UVOSManagementExtInterface;
import pl.edu.icm.unicore.uvos.wsclient.api.UVOSQueryExtInterface;
import pl.edu.icm.unicore.uvos.wsclient.api.UVOSQueryHistoryExtInterface;
import pl.edu.icm.unicore.uvos.wsclient.api.VOApplicationExtInterface;

public class ConnectionManager
{
	UVOSManagementExtInterface voMan;
	UVOSAuthZExtInterface voAuthz;
	UVOSQueryExtInterface voQuery;
	UVOSQueryHistoryExtInterface voQueryHistory;
	VOApplicationExtInterface voApps;
	UVOSGLUEExtInterface glueIP;
	Date qTime = null;		

	public ConnectionManager(UVOSManagementExtInterface voMan,
		UVOSAuthZExtInterface voAuthz,
		UVOSQueryExtInterface voQuery,
		UVOSQueryHistoryExtInterface voQueryHistory,
		VOApplicationExtInterface voApps, 
		UVOSGLUEExtInterface glueIP, 
		Date qTime)
	{
		super();
		this.voMan = voMan;
		this.voAuthz = voAuthz;
		this.voQuery = voQuery;
		this.voQueryHistory = voQueryHistory;
		this.voApps = voApps;
		this.glueIP = glueIP;
		this.qTime = qTime;
	}
}