/*
 * Copyright (c) 2007, 2008 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on Sep 27, 2007
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.unicore.uvos.wsclient.samlapi;

/**
 * Error in web service call.
 * @author K. Benedyczak
 */
@SuppressWarnings("serial")
public class InvocationException extends Exception
{
	public InvocationException(String message, Throwable reason)
	{
		super(message, reason);
	}

	public InvocationException(Throwable reason)
	{
		super(reason);
	}
}
