/*
 * Copyright (c) 2007, 2008 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on Sep 27, 2007
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.unicore.uvos.wsclient.samlapi;

/**
 * Thrown when SAML received is incorrectly signed (or correctly but by 
 * the different party then requested).
 * @author K. Benedyczak
 */
@SuppressWarnings("serial")
public class InvalidSignatureException extends Exception
{
	public InvalidSignatureException(String msg)
	{
		super(msg);
	}
}
