package pl.edu.icm.uvos.test.unit;

import junit.framework.TestCase;
import pl.edu.icm.unicore.uvos.clc.CLCExecutor;

public class CLClientTest extends TestCase {

	public void testClc() {
		CLCExecutor e = new CLCExecutor();
		String[] args = { "-i" };
		e.processCommandLineAgrs(args);
		assertTrue(e.isInteractive());

		e = new CLCExecutor();
		String[] args2 = { "-c","test.conf", "-b",
				"addToGroup", "email", "a  nn@example.com", "/A"};
		e.processCommandLineAgrs(args2);
		assertFalse(e.isInteractive());
		System.out.println(e.getCommandLine());
		String[] l = e.getParsedLine();
		assertEquals(l.length, 4);
		assertEquals("addToGroup", l[0]);
		assertEquals("email", l[1]); 
		assertEquals("a  nn@example.com", l[2]);
		assertEquals("/A", l[3]);

	}
}
